package com.bocloud.cmp.provider.agile.network;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.agile.AgileDhcpGroupModel;

import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: DhcpGroupProvider
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/6/28 15:53
 */
public interface DhcpGroupProvider extends SuperProvider {
    default BocloudResult<List<AgileDhcpGroupModel>> list() {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileDhcpGroupModel> create(AgileDhcpGroupModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileDhcpGroupModel> modify(AgileDhcpGroupModel model) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<AgileDhcpGroupModel> detail(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }

    default BocloudResult<?> remove(String uuid) {
        return new BocloudResult<>(false, "need implement");
    }
}